Bug 59716 - get/mget -R recursively download is broken
get/mget -R recursively download is broken
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: ncftp (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-11 21:28 EST by Need Real Name
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-11 21:28:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-02-11 21:28:30 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; Q312461; .NET 
CLR 1.0.3705)

Description of problem:
get/mget -R recursively download is broken

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create following dirs on your ftp server.  Say ~ftp is your ftp root.
 
  mkdir -p ~ftp/dir/a
  mkdir -o ~ftp/dir/b
  touch ~ftp/dir/test-1
  touch ~ftp/dir/a/test-2
  touch ~ftp/dir/b/test-3

2. Launch ncftp and type get -R dir.


Actual Results:  ncftp creates "dir" folder in your local folder and gets test-
1 properly.  However, it does not go into sub-folder a & b and download other 
files.

# du -a dir/
0       dir/test-1
4       dir/temp/dir/a
4       dir/temp/dir/b
12      dir/temp/dir
16      dir/temp
4       dir/a
4       dir/b
28      dir

Expected Results:  # du -a dir
0       dir/a/test-2
4       dir/a
0       dir/b/test-3
4       dir/b
0       dir/test-1
12      dir

Additional info:
Comment 1 Bernhard Rosenkraenzer 2002-02-12 09:53:12 EST
Works in the current version.

Note You need to log in before you can comment on or make changes to this bug.